Subject: Re: [BUG] resolved deltas

From: Jeff King <[email-masked]>
Date: Thu, 28 Aug 2014 18:22:27 -0400

On Thu, Aug 28, 2014 at 06:08:21PM -0400, Jeff King wrote:

> Interesting. I couldn't convince Helgrind to catch such a case...

Ugh. It helps if you actually helgrind the git binary, and not the
shell-script from bin-wrappers. I can easily replicate the problem now.
The patch I just posted seems to fix it (at least it has been running in
a loop for over a minute with no failures, whereas before it took only a
few seconds to provoke a failure).

-Peff